from typing import Dict

from zope.interface import Interface

from .IUser import IUser


class ICloudService(Interface):
    """Performs operations on the CSC Cloud."""

    def create_account(user: IUser):
        """
        Activate an LDAP account in CloudStack for the given user.
        """

    def purge_accounts() -> Dict:
        """
        Delete CloudStack accounts which correspond to expired CSC accounts.
        A warning message will be emailed to users one week before their
        cloud account is deleted.
        Another message will be emailed to the users after their cloud account
        has been deleted.
        """
